diff -r 2e75b9e05577 lib-src/ChangeLog
--- a/lib-src/ChangeLog	Mon Sep 29 07:04:38 2014 -0400
+++ b/lib-src/ChangeLog	Fri Jan 23 13:05:56 2015 -0500
@@ -1,3 +1,7 @@
+2015-01-23  Vin Shelton  <acs@xemacs.org>
+
+	* gnuclient.c: Use CYGWIN_CONF_PATH.
+
 2009-12-08  Sjoerd Mullender  <sjoerd@acm.org>
 
 	* etags.c (absolute_filename): Use memmove instead of strcpy to move
diff -r 2e75b9e05577 lib-src/gnuclient.c
--- a/lib-src/gnuclient.c	Mon Sep 29 07:04:38 2014 -0400
+++ b/lib-src/gnuclient.c	Fri Jan 23 13:05:56 2015 -0500
@@ -48,10 +48,6 @@
  * ../etc/gnuserv.README relative to the directory containing this file)
  */
 
-#ifdef  CYGWIN
-extern void cygwin_conv_to_posix_path(const char *path, char *posix_path);
-#endif
-
 #include "gnuserv.h"
 
 char gnuserv_version[] = "gnuclient version " GNUSERV_VERSION;
@@ -75,6 +71,7 @@
 
 #if !defined(SYSV_IPC) && !defined(UNIX_DOMAIN_SOCKETS) && \
     !defined(INTERNET_DOMAIN_SOCKETS)
+
 int
 main (int argc, char *argv[])
 {
@@ -193,10 +190,6 @@
   /* fullpath - returned full pathname */
   /* filename - filename to expand */
 {
-#ifdef  CYGWIN
-  char cygwinFilename[MAXPATHLEN+1];
-#endif
-
   int len;
   fullpath[0] = fullpath[MAXPATHLEN] = '\0';
 
@@ -204,7 +197,8 @@
   /*
     If we're in cygwin, just convert it and let the unix stuff handle it.
   */
-  cygwin_conv_to_posix_path(filename, cygwinFilename);
+  char *cygwinFilename;
+  CYGWIN_CONV_PATH(filename, cygwinFilename);
   filename = cygwinFilename;
 #endif
 
diff -r 2e75b9e05577 lisp/ChangeLog
--- a/lisp/ChangeLog	Mon Sep 29 07:04:38 2014 -0400
+++ b/lisp/ChangeLog	Fri Jan 23 13:05:56 2015 -0500
@@ -1,3 +1,12 @@
+2009-01-31  Dr. Volker Zell  <Dr.Volker.Zell@oracle.com>
+
+	* about.el (about-hackers): Update my entry.
+
+	* printer.el (generic-print-buffer): Make File->Print work under Cygwin
+	X11 version of XEmacs, instead of emitting:
+	Feature not yet implemented: "Dialog box type", print-setup
+	(generic-print-region): Ditto.
+
 2014-09-24  Vin Shelton  <acs@xemacs.org>
 
 	* menubar.el:  (add-menu-item-1, delete-menu-item): Do not assume
diff -r 2e75b9e05577 lisp/about.el
--- a/lisp/about.el	Mon Sep 29 07:04:38 2014 -0400
+++ b/lisp/about.el	Fri Jan 23 13:05:56 2015 -0500
@@ -2157,7 +2157,7 @@
       (print-short "Jason Yanowitz" "yanowitz@eternity.cs.umass.edu")
       (print-short "La Monte Yarroll" "piggy@hilbert.maths.utas.edu.au")
       (print-short "Blair Zajac" "blair@olympia.gps.caltech.edu")
-      (print-short "Volker Zell" "vzell@de.oracle.com")
+      (print-short "Volker Zell" "dr.volker.zell@oracle.com")
       (print-short "Daniel Zivkovic" "daniel@canada.sun.com")
       (print-short "Karel Zuiderveld" "Karel.Zuiderveld@cv.ruu.nl")
       (widget-insert "\n"))
diff -r 2e75b9e05577 lisp/printer.el
--- a/lisp/printer.el	Mon Sep 29 07:04:38 2014 -0400
+++ b/lisp/printer.el	Fri Jan 23 13:05:56 2015 -0500
@@ -261,7 +261,8 @@
 	     (start (if print-region (region-beginning) (point-min buffer)))
 	     (end (if print-region (region-end) (point-max buffer))))
 	(if (or (not (valid-device-type-p 'msprinter))
-		(not display-print-dialog))
+		(not display-print-dialog)
+		(not (string-equal (device-type) "mswindows")))
 	    (generic-print-region start end buffer)
 	  (let* ((d (Printer-get-device))
 		 (props (make-dialog-box 'print :device d
@@ -309,7 +310,8 @@
   to-page    Last page to print, inclusive, If omitted, printing ends at
              the end.
   copies     Number of copies to print.  If omitted, one copy is printed."
-  (cond ((valid-device-type-p 'msprinter)
+  (cond ((and (valid-device-type-p 'msprinter)
+	      (string-equal (device-type) "mswindows"))
 	 ;; loop, printing one copy of document per loop.  kill and
 	 ;; re-create the frame each time so that we eject the piece
 	 ;; of paper at the end even if we're printing more than one
diff -r 2e75b9e05577 src/ChangeLog
--- a/src/ChangeLog	Mon Sep 29 07:04:38 2014 -0400
+++ b/src/ChangeLog	Fri Jan 23 13:05:56 2015 -0500
@@ -1,3 +1,15 @@
+2015-01-23  Vin Shelton  <acs@xemacs.org>
+
+	* s/cygwin32.h: Use strcasecmp instead of stricmp.
+
+2009-01-31  Dr. Volker Zell  <Dr.Volker.Zell@oracle.com>
+
+	* redisplay-msw.c (mswindows_text_width_single_run): #ifndef assertion
+	to fix a crash under Cygwin (Windows variant) when paging in Info buffer.
+
+	* sysdir.h: Revert workaround missing d_ino field from 'struct dirent'
+	for Cygwin as it's back in again.
+
 2012-07-12  Vin Shelton  <acs@xemacs.org>
 
 	* glyphs-eimage.c: Fix this so it compiles with libpng-1.5.10.
diff -r 2e75b9e05577 src/redisplay-msw.c
--- a/src/redisplay-msw.c	Mon Sep 29 07:04:38 2014 -0400
+++ b/src/redisplay-msw.c	Fri Jan 23 13:05:56 2015 -0500
@@ -191,8 +191,15 @@
   if (!fi->proportional_p || !hdc)
     return (fi->width * run->len);
   else
-    {
+  {
+/* The 21.4.19 version of XEmacs doesn't have the Unicode support necessary to display 
+   anything but ISO 8859-1 on Windows.
+   So commenting out the following assertion doesn't fix the problem but
+   it does prevent a crash when XEmacs tries to display Han characters
+*/ 
+#ifndef CYGWIN
       assert(run->dimension == 1);	/* #### FIXME! */
+#endif
       mswindows_set_dc_font (hdc, font_inst,
 			     cachel->underline, cachel->strikethru);
       GetTextExtentPoint32 (hdc, run->ptr, run->len, &size);
@@ -560,7 +567,9 @@
 	  }
 	}
 
+#ifndef CYGWIN
       assert (runs[i].dimension == 1);	/* #### FIXME: Broken when Mule? */
+#endif
       ExtTextOut (hdc, xpos, dl->ypos,
 		  NILP(bg_pmap) ? ETO_CLIPPED | ETO_OPAQUE : ETO_CLIPPED,
 		  &rect, (char *) runs[i].ptr, runs[i].len, NULL); 
diff -r 2e75b9e05577 src/s/cygwin32.h
--- a/src/s/cygwin32.h	Mon Sep 29 07:04:38 2014 -0400
+++ b/src/s/cygwin32.h	Fri Jan 23 13:05:56 2015 -0500
@@ -224,3 +224,6 @@
 #define CYGWIN_WIN32_PATH(src, dst) \
 dst = alloca (cygwin_posix_to_win32_path_list_buf_size(src)); \
 cygwin_posix_to_win32_path_list(src, dst)
+
+/* Cygwin uses strcasecmp instead of stricmp */
+#define stricmp strcasecmp
diff -r 2e75b9e05577 src/sysdir.h
--- a/src/sysdir.h	Mon Sep 29 07:04:38 2014 -0400
+++ b/src/sysdir.h	Fri Jan 23 13:05:56 2015 -0500
@@ -59,11 +59,7 @@
    Since applying strlen to the name always works, we'll just do that.  */
 #define NAMLEN(p) strlen (p->d_name)
 
-#ifdef __CYGWIN__
-# define DIRENTRY_NONEMPTY(p) ((p)->d_name[0] != '\0')
-#else
 # define DIRENTRY_NONEMPTY(p) ((p)->d_ino)
-#endif
 
 /* encapsulation: directory calls */
 
